# 32/64bit spec-file
#
%define major		6
%define libname		%mklibname %{name} %{major}
%define libplus_major	3
%define libplus		%mklibname mlt++ %{libplus_major}
%define libnamedev	%mklibname %{name} -d

%define use_mmx	0
%{?_with_mmx: %global use_mmx 1}
%{?_without_mmx: %global use_mmx 0}

Name:		mlt
Version:	0.9.6
Release:	%mkrel 1
Summary:	Media Lovin' Toolkit
Source0:	http://downloads.sourceforge.net/project/mlt/mlt/%{name}-%{version}.tar.xz
Patch0:         mlt-0.7.6-fix-used-symbols.patch
License:	LGPLv2+ and GPLv2+
Group:		Video
Url:		http://mlt.sourceforge.net
BuildRequires:	pkgconfig
BuildRequires:	ffmpeg
BuildRequires:	ffmpeg-devel
BuildRequires:	kdelibs-devel
BuildRequires:	glib2-devel
BuildRequires:	gtk2-devel
BuildRequires:	ladspa-devel
BuildRequires:	%{_lib}dv-devel
BuildRequires:	libogg-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	libvorbis-devel
BuildRequires:	libxml2-devel
BuildRequires:	multiarch-utils >= 1.0.3
BuildRequires:	pango-devel
BuildRequires:	qt4-devel
BuildRequires:	%{_lib}quicktime-devel
BuildRequires:	SDL-devel
BuildRequires:	imagemagick
BuildRequires:	mad-devel
BuildRequires:	libjack-devel
BuildRequires:	sox-devel
BuildRequires:	frei0r-plugins-devel
BuildRequires:	swig
BuildRequires:	python-devel
Obsoletes:	mlt-php
Obsoletes:	mlt-ruby

%description
MLT is an open source multimedia framework, designed and developed for
television broadcasting.

It provides a toolkit for broadcasters, video editors, media players,
transcoders, web streamers and many more types of applications. The
functionality of the system is provided via an assortment of ready to
use tools, xml authoring components, and an extendible plug-in based
API.

%package -n     %{libname}
Summary:        Main library for mlt 
Group:          System/Libraries

%description -n %{libname}
This package contains the libraries needed to run programs dynamically
linked with mlt.

%package -n	%{libplus}
Summary:	Main library for mlt++
Group:		System/Libraries

%description -n	%{libplus}
This package contains the libraries needed to run programs dynamically
linked with mlt++.

%package -n     %{libnamedev}
Summary:        Headers for developing programs that will use mlt
Group:          Development/Libraries
Requires:       %{libname} = %{version}
Requires:	%{libplus} = %{version}
Requires:	%{name} = %{version}
Provides:       %{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{libnamedev}
This package contains the headers that programmers will need to develop
applications which will use mlt.

%package -n  python-%{name}
Summary:     Python bindings for MLT
Group:	     Development/Python
Requires:    python
Requires:    %{name} = %{version}-%{release}
Summary:     Python package to work with MLT
Obsoletes:   %{name}-python < %{version}-%{release}
Provides: %{name}-python = %{version}-%{release}

%description -n     python-%{name}
This module allows to work with MLT using python.

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
	--disable-debug \
	--enable-gpl \
%if %use_mmx
	--enable-mmx \
%else
	%ifarch x86_64
	--enable-mmx \
	--enable-sse \
	%else
	--disable-mmx \
	%endif
%endif
	--luma-compress \
	--enable-avformat \
	--avformat-shared=%{_prefix} \
	--avformat-swscale \
	--enable-motion-est \
	--qimage-libdir=%{qt4lib} \
	--qimage-includedir=%{qt4include} \
	--swig-languages='python'
%make

%install
rm -rf %{buildroot}
%makeinstall_std

#python bindings
install -d %{buildroot}%{py_platsitedir}
install -pm 0644 src/swig/python/%{name}.py* %{buildroot}%{py_platsitedir}/
install -pm 0755 src/swig/python/_%{name}.so %{buildroot}%{py_platsitedir}/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc docs COPYING README
%{_bindir}/melt
%{_datadir}/mlt
%{_libdir}/mlt

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libmlt.so.%{major}*
%{_libdir}/libmlt.so.%{version}

%files -n %{libplus}
%defattr(-,root,root)
%{_libdir}/libmlt++.so.%{libplus_major}*
%{_libdir}/libmlt++.so.%{version}

%files -n %{libnamedev}
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%files -n python-%{name}
%defattr(-,root,root,-)
%{py_platsitedir}/%{name}.p*
%{py_platsitedir}/_%{name}.so


%changelog
* Thu Aug 11 2016 adrianomorselli <adrianomorselli> 0.9.6-1uplos2015
- rebuild

* Tue Jun 16 2015 pp <pp> 0.9.6-1pclos2015
- 0.9.6

* Mon Nov 16 2014 bb <bb> 0.9.0-3pclos2014
- rebuild ffmpeg 2.4.3

* Sun Oct 06 2013 billybot <billybot> 0.9.0-2pclos2013
- rebuild for new sox and ffmpeg

* Sat Aug 31 2013 pinoc <vogtpet at gmail.com> 0.9.0-1pclos2013
- added BR frei0r-plugins-devel to fix openshot loading the plugins
- 0.9.0

* Sun Aug 18 2013 billybot <billybot> 0.8.8-2pclos2013
- update python 2.7

* Wed Feb 27 2013 pinoc <vogtpet at gmail.com> 0.8.8-1pclos2013
- 0.8.8

* Sat Oct 06 2012 Ken <lxgator at gmail dot com> 0.8.2-1pclos2012
- 0.8.2

* Wed May 16 2012 Neal <nealbrks0 at gmail dot com> 0.7.8-1pclos2012
- process

* Tue May 15 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 0.7.8-1_archie_2012
- 0.7.8

* Mon Nov 07 2011 Texstar <texstar at gmail.com> 0.7.6-1pclos2011
- 0.7.6

* Tue Sep 27 2011 Texstar <texstar at gmail.com> 0.7.4-1pclos2011
- 0.7.4

* Fri Apr 29 2011 Ertain <sirius-C at iname.com> 0.7-1pclos2011
- 0.7.0

* Wed Nov 25 2010 MBantz <martin dot bantz at gmail dot com> 0.5.10-3pclos2010
- Added ruby-devel as builddependency (errors displayed in build)
- Added frei0r-plugins as builddependency to add support to frei0r in mltlib

* Thu Nov 04 2010 Texstar <texstar at gmail.com> 0.5.10-2pclos2010
- rebuild for new ffmpeg

* Mon Sep 20 2010 Texstar <texstar at gmail.com> 0.5.10-1pclos2010
- 0.5.10

* Thu Sep 09 2010 Ertain <sirius-c at iname.com> 0.5.6-1pclos2010
- 0.5.6

